## org.hibernate.metamodel.source
Class XsdException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.metamodel.source.XsdException

All Implemented Interfaces:
  Serializable

    public class XsdException

extends HibernateException

Indicates an issue finding or loading an XSD schema.

See Also:
  Serialized Form

Constructor Summary
`XsdException(String message, String xsdName)`
`XsdException(String message, Throwable root, String xsdName)`

Method Summary
`String` `getXsdName()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XsdException

    public XsdException(String message,
                        String xsdName)

### XsdException

    public XsdException(String message,
                        Throwable root,
                        String xsdName)

Method Detail

### getXsdName

    public String getXsdName()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.